Last Comment Bug 691377 - crash [@ mozilla::net::CameraStreamImpl::transmitFrame]
: crash [@ mozilla::net::CameraStreamImpl::transmitFrame]
Status: VERIFIED FIXED
: crash
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: ARM Android
: -- critical (vote)
: Firefox 10
Assigned To: [:fabrice] Fabrice Desré
:
Mentors:
http://people.mozilla.org/~fdesre/cap...
Depends on:
Blocks: 659188
  Show dependency treegraph
 
Reported: 2011-10-03 09:44 PDT by Steffen Wilberg
Modified: 2013-12-10 10:00 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (702 bytes, patch)
2011-10-04 11:04 PDT, [:fabrice] Fabrice Desré
blassey.bugs: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Steffen Wilberg 2011-10-03 09:44:03 PDT
https://crash-stats.mozilla.com/report/index/bp-81e1a4ca-d1a3-48bf-b516-4761a2111003

I tried the camera capture demo on http://people.mozilla.org/~fdesre/capture/ with my Samsung Galaxy S (running a leaked build of Android 2.3.4), running the latest Nightly.

Clicking the "capture" button on that site works, it displays a black "Media Upload" box with the live camera preview. But clicking "OK" there crashes Fennec every time.
Comment 1 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-10-03 15:35:36 PDT
From Socorro : 
https://crash-stats.mozilla.com/report/index/dd022b3d-10de-438b-9ec1-89c182111003

Crashing Thread:
Frame 	Module 	Signature [Expand] 	Source
0 	libxul.so 	mozilla::net::CameraStreamImpl::transmitFrame 	netwerk/protocol/device/CameraStreamImpl.cpp:75
1 	libxul.so 	Java_org_mozilla_gecko_GeckoAppShell_cameraCallbackBridge 	netwerk/protocol/device/CameraStreamImpl.cpp:56
2 	libmozutils.so 	Java_org_mozilla_gecko_GeckoAppShell_cameraCallbackBridge 	other-licenses/android/APKOpen.cpp:243
3 	libdvm.so 	dvmPlatformInvoke 	
4 	libdvm.so 	dvmCallJNIMethod_general 	
5 	dalvik-jit-code-cache (deleted) 	dalvik-jit-code-cache @0x23f 	
6 	libdvm.so 	dexDataMapAlloc 	
7 	libdvm.so 	dvmMterpStd 	
8 	libdvm.so 	dvmInterpret 	
9 	libdvm.so 	dvmInvokeMethod 	
10 	libdvm.so 	dvmFreeDexOrJar 	
11 	libdvm.so 	dvmAsmSisterStart 	
12 	libdvm.so 	dvmMterpStd 	
13 	libdvm.so 	dvmInterpret 	
14 	libdvm.so 	dvmCallMethodV 	
15 	libdvm.so 	JNI_CreateJavaVM 	
16 	libandroid_runtime.so 	libandroid_runtime.so@0x38b28 	
17 	libandroid_runtime.so 	libandroid_runtime.so@0x3a516 	
18 	dalvik-LinearAlloc (deleted) 	dalvik-LinearAlloc @0x72007 	
19 	dalvik-heap (deleted) 	dalvik-heap @0x404ff 	
20 	libcutils.so 	property_get 	
21 	libcutils.so 	set_process_name 	
22 	app_process 	app_process@0xccc 	
23 	app_process 	app_process@0x1027 	
24 	libandroid_runtime.so 	libandroid_runtime.so@0xb8767 	
25 	app_process 	app_process@0xb33 	
26 	app_process 	app_process@0xb33 	
27 	libc.so 	__libc_init 	
28 		@0xffffffe3 	
29 	app_process 	app_process@0x33 	
30 	app_process 	app_process@0xb1f
Comment 2 [:fabrice] Fabrice Desré 2011-10-04 11:04:40 PDT
Created attachment 564610 [details] [diff] [review]
fix

On some devices, the frame callback gets called one more time asynchronously just after we close the camera.
Comment 3 [:fabrice] Fabrice Desré 2011-10-04 11:26:06 PDT
pushed:
https://hg.mozilla.org/integration/mozilla-inbound/rev/cab7a4a4f669
Comment 4 [:fabrice] Fabrice Desré 2011-10-04 12:17:43 PDT
Comment on attachment 564610 [details] [diff] [review]
fix

Asking approval for Aurora, since it fixes a crash with no risk.
Comment 5 Marco Bonardo [::mak] 2011-10-05 05:04:23 PDT
https://hg.mozilla.org/mozilla-central/rev/cab7a4a4f669
Comment 6 [:fabrice] Fabrice Desré 2011-10-07 10:20:59 PDT
pushed to aurora:
https://hg.mozilla.org/releases/mozilla-aurora/rev/910f9161b314
Comment 7 Cristian Nicolae (:xti) 2011-12-29 06:43:16 PST
Verified fixed on:
Mozilla/5.0 (Android;Linux armv7l;rv:10.0)Gecko/20111228
Firefox/10.0 Fennec/10.0
Devices: Samsung Galaxy S
OS: Android 2.2

Note You need to log in before you can comment on or make changes to this bug.